This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 350981 - Main channel page links should go to details page/tab
Main channel page links should go to details page/tab
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Usability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2007-10-24 14:11 EDT by John Arnzen
Modified: 2011-09-16 10:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-16 10:04:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Arnzen 2007-10-24 14:11:27 EDT
Description of problem:
For page URL: https://rhn.webqa.redhat.com/rhn/software/channels/All.do

When clicking on the architecture links in the table, we currently take the user
to the page showing which systems are subscribed to that channel:arch, including
when no systems may be subscribed. It is not clear that we are taking them
there. This is also contrary to existing precedent in other webapps and user
expectations where they will be taken to a page where they learn more about the
item clicked. Ergo, we should be taking them to the channel details page/tab,
from whence they can perform subsequent actions as expected.

For instance, we currently take users to:
https://rhn.webqa.redhat.com/network/software/channels/subscribed_systems.pxt?cid=6949
where we should be taking them to:
https://rhn.webqa.redhat.com/network/software/channels/details.pxt?cid=6949  

Version-Release number of selected component (if applicable):
pre-504 in QA

How reproducible:
consistently reproduceable.

Steps to Reproduce:
1. Click "Channels" in primary nav bar
2. On the channels page, click on the architecture link
  
Actual results:
Goes to the "subscribed systems" page/tab, even when no systems are subscribed.

Expected results:
Go to the channel details page/tab.

Additional info:
none
Comment 2 Miroslav Suchý 2011-09-16 10:04:23 EDT
This is no longer valid for Satellite (we do not display arch there) and in hosted they do exactly what this BZ want to.

Note You need to log in before you can comment on or make changes to this bug.